Package opennlp.tools.cmdline.postag

## Class POSEvaluationErrorListener

- java.lang.Object
- - opennlp.tools.cmdline.EvaluationErrorPrinter<POSSample>
  - - opennlp.tools.cmdline.postag.POSEvaluationErrorListener

- All Implemented Interfaces:
    `POSTaggerEvaluationMonitor`, `EvaluationMonitor<POSSample>`

      public class POSEvaluationErrorListener
      extends opennlp.tools.cmdline.EvaluationErrorPrinter<POSSample>
      implements POSTaggerEvaluationMonitor

  A default implementation of `EvaluationMonitor` that prints to an output stream.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `POSEvaluationErrorListener()` | Creates a listener that will print to the configured `logger`.
    `POSEvaluationErrorListener​(OutputStream outputStream)` | Creates a listener that will print to a given `OutputStream`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `misclassified​(POSSample reference, POSSample prediction)` |

    - ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

      `correctlyClassified`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

      `correctlyClassified`

- - ### Constructor Detail

    - #### POSEvaluationErrorListener

          public POSEvaluationErrorListener()

      Creates a listener that will print to the configured `logger`.

    - #### POSEvaluationErrorListener

          public POSEvaluationErrorListener​(OutputStream outputStream)

      Creates a listener that will print to a given `OutputStream`.

  - ### Method Detail

    - #### misclassified

          public void misclassified​(POSSample reference,
                                    POSSample prediction)

      Specified by:
        `misclassified` in interface `EvaluationMonitor<POSSample>`
      Specified by:
        `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<POSSample>`